Last Comment Bug 349439 - update MOZILLA_USE_EXTENDED_FT2LIB
: update MOZILLA_USE_EXTENDED_FT2LIB
Status: VERIFIED FIXED
: verified1.8.1.2
Product: Core Graveyard
Classification: Graveyard
Component: GFX: OS/2 (show other bugs)
: Trunk
: Other OS/2
: -- normal (vote)
: ---
Assigned To: Andy Willis (abwillis)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-20 14:42 PDT by Andy Willis (abwillis)
Modified: 2009-01-22 10:18 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Add HKLM check (3.30 KB, patch)
2006-08-20 14:44 PDT, Andy Willis (abwillis)
no flags Details | Diff | Review
Remove excess long declaration. (3.30 KB, patch)
2006-08-27 11:11 PDT, Andy Willis (abwillis)
mozilla: review+
Details | Diff | Review

Description Andy Willis (abwillis) 2006-08-20 14:42:05 PDT
The latest release of Innowin Font Engine now will use HKLM so there may not be a HKCU field or even if there is SM/FF/ETC may not be in it but in HKLM instead.  
Patch to follow that should take care of either case.
Comment 1 Andy Willis (abwillis) 2006-08-20 14:44:16 PDT
Created attachment 234705 [details] [diff] [review]
Add HKLM check
Comment 2 Peter Weilbacher 2006-08-27 10:56:37 PDT
Comment on attachment 234705 [details] [diff] [review]
Add HKLM check

>     // Is FT2LIB enabled?
>     HKEY key;
>     LONG result = RegOpenKeyEx(HKEY_CURRENT_USER,
>                                "Software\\Innotek\\InnoTek Font Engine", 0,
>                                KEY_READ, &key);
>     if (result != ERROR_SUCCESS) {
>-      DosFreeModule(hmod);
>-      return PR_FALSE;
>+      LONG result = RegOpenKeyEx(HKEY_LOCAL_MACHINE,

That LONG should not be there, as it was already defined above. Otherwise it looks fine to me.
Comment 3 Andy Willis (abwillis) 2006-08-27 11:11:27 PDT
Created attachment 235656 [details] [diff] [review]
Remove excess long declaration.

Removed the Long... that's what I get for copy/paste.
I guess Mike still has to do the reviews?
Comment 4 Mike Kaply [:mkaply] (Out June 27-July 5) 2006-08-28 10:13:02 PDT
Comment on attachment 235656 [details] [diff] [review]
Remove excess long declaration.

r=mkaply
Comment 5 Peter Weilbacher 2006-08-28 13:15:08 PDT
Patch checked into trunk (with a small whitespace change to have the RegOpenKeyEx() arguments aligned).
Comment 6 Peter Weilbacher 2006-12-18 01:37:33 PST
Reminder to myself: get this into branch...
Comment 7 Peter Weilbacher 2006-12-23 04:07:07 PST
(In reply to comment #6)
> Reminder to myself: get this into branch...

Somehow bugmail of this bug never arrives in my mailbox. But now, finally, I checked this into the 1.8 branch.
Comment 8 Peter Weilbacher 2007-03-11 14:58:29 PDT
Verifying some older bugs.

(In this case verified that the fix is in but it wasn't necessarily complete, see bug 369695.)

Note You need to log in before you can comment on or make changes to this bug.